/** grid-template-columns **/
/* Определяет количество и ширину колонок */
/* grid-template-columns: 100px 1fr 50%; */

/** grid-template-rows **/
/* Определяет количество и ширину рядов */
/* grid-template-rows: auto 1fr 35%; */

/** grid-template **/
/* grid-template: columns rows */
/* grid-template: 150px 150px 150px 150px / 100px 100px 100px; */
/* grid-template: repeat(4, 150px) / repeat(3, 100px) */

/** repeat **/
/* grid-template-rows: repeat(3, 100px); */

/** grid-template-areas **/
/* Определяет количество пространства, занимаемого ячейкой в родительском контейнере */
/* 
grid-template-areas:
    "header  header  header"
    "main  main  main"
    "footer  footer  footer";
	 
.box-1 {
	grid-area: header;
}

box-2 {
	grid-area: main;
}
	 
.box-3 {
	grid-area: footer;
} 

*/

/** column-gap, row-gap, grid-gap **/
/* Добавление отступа между колонками, рядами */
/* grid-column-gap: 30px; */
/* grid-row-gap: 20px; */
/* grid-gap: 30px 20px; */

/** justify-items **/
/* Позиционирование грид-элементов внутри грид-контейнера вдоль основной оси X-Axis */
/* justify-items : start, end, center, stretch; */

/** align-items **/
/* Позиционирование грид-элементов внутри грид-контейнера вдоль поперечной оси Y-Axis */
/* align-items : start, end, center, stretch; */

/** min-max() **/
/* Минимальный - максимальный размер колонки */
/* grid-template-columns: repeat(3, minmax(100px, 500px)); */

/** min-max(auto) **/
/* Автоматически подсктраивает ширину или высоту по размеру контента */

/** grid-auto-flow **/
/* Задает направлене для выстраивания контента */

/** grid-auto-rows (columns) **/
/* grid-auto-rows: 200px */
/* grid-auto-rows: 150px */
/* Задает размер для рядов или колонок в неявной сетке (которая нами не задавалась) */

/** auto-fill **/
/* Делает автозаполнение сетки, создавая переносы ячеек на новые строки */

/** auto-fit **/
/* Делает автозаполнение сетки, создавая переносы ячеек на новые строки, так чтобы занять все доступное пространство в строке */

/** grid-column-start, grid-column-start, grid-row-start, grid-row-end **/
/* Меняет расположение колонок и рядом */

/* grid-column-start: 1; */
/* grid-column-end: 5; */
/* grid-column: 1 / 5; */

/* grid-row-start: 1; */
/* grid-row-end: 5; */
/* grid-row: 1 / 5; */

/** justify-items **/
/* Выравнивание грид-элементов по горизонтальной оси родителя. */
/* justify-items: start, end, center, stretch; */

/** align-items **/
/* Выравнивание грид-элементов по вертикальной оси родителя. */
/* align-items: start, end, center, stretch; */

/** align-self, justify-self **/
/* Выравнивание отдельного грид-элемента по вертикальной или горизонтальной оси родителя. */
/* align-self: start, end, center, stretch; */
/* justify-self: start, end, center, stretch; */

* {
	/* background-color: rgb(211, 211, 211); */
	font-family: "Roboto", sans-serif;
}

h2 {
	padding: 20px;
	font-size: 26px;
	font-weight: 700;
}

/* p {
	padding-left: 20px;
	padding-bottom: 20px;
	font-size: 26px;
} */

.grid {
	width: 100vw;
	height: 100vh;
	display: grid;
	grid-template-columns: 200px 1fr;
	grid-template-rows: 100px 1fr 100px;
	grid-gap: 20px;

}

.header,
.aside,
.main,
.footer	{
	padding: 10px 15px;
	border: 1px solid rgb(46, 84, 133);
	background-color: rgb(110, 150, 205);
	text-align: center;
	font-size: 24px;
	color: #ffffff;
}

.main {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(3, 1fr);
	grid-gap: 10px;
}

.main > p {
	grid-column: 1 / 3;
}

.header {
	grid-column: 1 / 3;
	grid-row: 1 / 2;
}

.aside {
	grid-column: 1;
	grid-row: 2 / 4;
}

/* .auto-fill {
	grid-template-columns: repeat(auto-fill, minmax(50pxm 1fr));
}

.auto-fit {
	grid-template-columns: repeat(auto-fill, minmax(50pxm 1fr));
} */